<?php

include 'load.php';
require_once 'db_connection.php'; 
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard
">
<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard
">
<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard
">
<meta name="robots" content="noindex, nofollow">

<title>Customer Report | Eat More Resturant   | Pos & Invetory System | Dashboard
</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Customer Report</h4>
<h6>Manage your Customer</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<div class="table-top">

</div>

<div class="card mb-0" id="filter_inputs">
<div class="card-body pb-0">
<div class="row">
<div class="col-lg-12 col-sm-12">
<form method="POST" enctype="multipart/form-data">
<div class="row">
<div class="col-lg-6 col-sm-6 col-12">
<div class="form-group">
<select class="select" name="customerid">
<option selected>Choose Cutomers</option>
<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobilecustomers where status="1" ORDER BY coid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

?>
<option value="<?php echo $row['coid']; ?>"><?php echo $row['cname']; ?> | <?php echo $row['cphone']; ?></option>
<?php 
} 
}
?>
</select>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<button type="submit" name="search" class="btn btn-filters ms-auto"><img src="assets/img/icons/search-whites.svg" alt="img"></button>
</div>
</div>
</div>
</form>
</div>
</div>
</div>
</div>

<div class="card mb-0" id="filter_inputs">
<div class="card-body pb-0">
<div class="row">
<div class="col-lg-12 col-sm-12">
<div class="row">
<div class="col-lg-5 col-sm-5 col-12">
<div class="form-group">
<select class="select">
<option selected>Select Customer</option>
<?php


										$stmt = $DB_con->prepare('SELECT * FROM mobilecustomers where status="1" ORDER BY coid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
<option value="<?php echo $row['coid']; ?>"><?php echo $row['cname']; ?> | <?php echo $row['cemail']; ?></option>
<?php 
} 
}
?>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<button type="submit" name="search" class="btn btn-block btn-outline-success active btn-md text-white" style="margin-top:33px;width:100%;" class="btn btn-filters ms-auto">
<i class="fa fa-search" aria-hidden="true"></i> Search
</button>
</div>
</div>
</div>
</div>
</div>
</div>
</div>

<div class="table-responsive">
<table class="table" id="betable">
<thead>
<tr>
<th>#ID</th>
<th>Status</th>
<th>Name</th>
<th>Email</th>
<th>Phone</th>
<th>Address</th>
<th>Credit</th>
<th>Add Date</th>
</tr>
</thead>
<tbody> 
<?php
if(isset($_POST['search'])){
	
$count=0;
	
$customerid=$_POST['customerid'];

										$stmt = $DB_con->prepare('SELECT * FROM mobilecustomers where coid="'.$customerid.'" ORDER BY coid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);
										
										$count++;

										?>
<tr>
<td><?php echo number_format($count,0); ?></td>
<td><?php 
						
														if($row['status'] == "1"){

														echo '<a class="btn btn-success btn-sm text-white">Active</a>';

													    }else if($row['status'] == "0"){

														echo '<a class="btn btn-danger btn-sm text-white">Deactive</a>';
														}                               

											  ?></td>
<td><?php echo $row['cname']; ?></td>
<td><?php echo $row['cemail']; ?></td>
<td><?php echo $row['cphone']; ?></td>
<td><?php echo $row['caddress']; ?></td>
<td><?php echo $row['ccredit']; ?></td>
<td><?php echo $row['add_date']; ?></td>
</tr>
<?php 
} 
}
}else{
	
	$count=0;

										$stmt = $DB_con->prepare('SELECT * FROM mobilecustomers ORDER BY coid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);
										
										$count++;
	
?>
<tr>
<td><?php echo number_format($count,0); ?></td>
<td><?php 
						
														if($row['status'] == "1"){

														echo '<a class="btn btn-success btn-sm text-white">Active</a>';

													    }else if($row['status'] == "0"){

														echo '<a class="btn btn-danger btn-sm text-white">Deactive</a>';

														}
						
												
											  ?></td>
<td><?php echo $row['cname']; ?></td>
<td><?php echo $row['cemail']; ?></td>
<td><?php echo $row['cphone']; ?></td>
<td><?php echo $row['caddress']; ?></td>
<td><?php echo $row['ccredit']; ?></td>
<td><?php echo $row['add_date']; ?></td>
</tr>
<?php 
} 
}
}
?>
</tbody>
</table>
</div>
</div>
</div>

</div>
</div>
</div>

<?php require_once 'footerjs.php'; ?>

</body>
</html>